#include <UTFTGLUE.h>        // подключение библиотеки
UTFTGLUE myGLCD(0x0154,A2,A1,A3,A4,A0); // подключение дисплея

extern uint8_t SmallFont[]; // шрифт 

void mainwork(void); // основная рабочая программа с графикой
extern "C" void mfunc01(void); // функция для работы с имитатором датчика
unsigned char data[8]; // массив переменных для обмена
unsigned char redled = 0; // флаг для красного светодиода  

void setup()
{ pinMode(13, OUTPUT);  // красный светодиод на выходе 13
  myGLCD.InitLCD(); // инициализация дисплея
  myGLCD.setFont(SmallFont);
  myGLCD.clrScr();
  myGLCD.setColor(0, 0,64); 
  myGLCD.fillRect(0, 0, 319, 239); // заполнение экрана
  myGLCD.setColor(255,255,255);  
  myGLCD.drawRect(0, 0, 319, 239); // белый бордюр
  myGLCD.print("* AVRStudio 4.19 + Arduino = TFT *", CENTER, 5);
}
void loop()
{
  mainwork(); 
}

